using System;
using System.IO;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.Mail;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        TextBox2.Text = "Document title";

    }
    protected void Button4_Click(object sender, EventArgs e)
    {
        SautinSoft.RtfToHtml.Converter conv = new SautinSoft.RtfToHtml.Converter();
        conv.ImageStyle.ImagesFormat = SautinSoft.RtfToHtml.eImageFormat.gif;
        switch (DropDownList1.Text)
        {
            case "Html 3.2": conv.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_32; break;
            case "Html 4.01": conv.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_401; break;
            case "XHtml 1.0": conv.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.XHTML_10; break;
        }
        conv.TextStyle.Title = TextBox2.Text;
        switch (DropDownList2.Text)
        {
            case "ISO-8859-1": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_1; break;
            case "ISO-8859-2": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_2; break;
            case "ISO-8859-3": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_3; break;
            case "ISO-8859-4": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_4; break;
            case "ISO-8859-5": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_5; break;
            case "ISO-8859-6": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_6; break;
            case "ISO-8859-7": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_7; break;
            case "ISO-8859-8": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_8; break;
            case "ISO-8859-9": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_9; break;
            case "KOI8-R": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.KOI8_R; break;
            case "UTF-8": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.UTF_8; break;
            case "Windows-1250": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1250; break;
            case "Windows-1251": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1251; break;
            case "Windows-1252": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1252; break;
            case "Windows-1253": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1253; break;
            case "Windows-1254": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1254; break;
            case "Windows-1255": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1255; break;
            case "Windows-1256": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1256; break;
            case "Windows-1257": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1257; break;
            case "Windows-1258": conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1258; break;
        }
        switch (DropDownList3.Text)
        {
            case "Visible": conv.TableStyle.BorderType = SautinSoft.RtfToHtml.eTableBorderType.Visible; break;
            case "Hidden": conv.TableStyle.BorderType = SautinSoft.RtfToHtml.eTableBorderType.Hidden; break;
            case "SameAsInRtf": conv.TableStyle.BorderType = SautinSoft.RtfToHtml.eTableBorderType.SameAsInRtf; break;
        }
        switch (DropDownList4.Text)
        {
            case @"div": conv.TagStyle.Tags = SautinSoft.RtfToHtml.eTags.div; break;
            case @"p": conv.TagStyle.Tags = SautinSoft.RtfToHtml.eTags.p; break;
        }
        //converting strings, convert RTF string to HTML string
        if (RtfFile.FileName.Length>0)
        {
            byte [] RtfBytes = RtfFile.FileBytes;
            string RtfString = ByteToString(RtfBytes);
            string HtmlString = conv.ConvertString(RtfString);

            if (HtmlString.Length>0)
            {
                Response.Buffer = true;
                Response.Clear();
                Response.ContentType = "text/html";
                Response.Write(HtmlString);
                Response.Flush();
                Response.End();
            }
        }

        //converting files, convert RTF file to HTML file with images
        /*
        string fn = DateTime.Now.Year.ToString() + DateTime.Now.Month.ToString() + DateTime.Now.Day.ToString() + DateTime.Now.Hour.ToString() + DateTime.Now.Minute.ToString() + DateTime.Now.Second.ToString() + ".rtf";
        string rootpath = Server.MapPath("");
        conv.ImageStyle.ImageFolder = rootpath + @"\Tested\rtftohtml\Converted\";
        if (fn != "")
        {
            int res = 0;
            if (Path.GetExtension(RtfFile.FileName).ToLower().IndexOf("rtf") != -1)
            {
                RtfFile.SaveAs(rootpath + @"\Tested\rtftohtml\Upload\" + fn);
                string s1 = rootpath + @"\Tested\rtftohtml\Upload\" + fn;
                string s2 = rootpath + @"\Tested\rtftohtml\Converted\" + Path.ChangeExtension(Path.GetFileName(fn), "html");

                res = conv.ConvertFile(
                    rootpath + @"\Tested\rtftohtml\Upload\" + fn,
                    rootpath + @"\Tested\rtftohtml\Converted\" + Path.ChangeExtension(Path.GetFileName(fn), "html"));
            }
            else
            {
                res = 119;
            }
            Label8.Visible = true;
            Label9.Visible = true;
            Label9.Text = res.ToString() + " - ";
            Label9.ForeColor = System.Drawing.Color.Black;
            switch (res)
            {
                case 0:
                    Label9.Text += "Converting successful";
                    Response.Redirect(@"\Tested\rtftohtml\Converted\" + Path.ChangeExtension(Path.GetFileName(fn), "html"));
                    break;
                case 1: Label9.Text += "Can't open input RTF"; break;
                case 2: Label9.Text += "Can't create output HTML"; break;
                case 3: Label9.Text += "Converting error"; break;
                case 119: Label9.ForeColor = System.Drawing.Color.Red;
                    Label9.Text = "Source file is not a RTF file"; break;
            }
        }*/        
    }
    private string ByteToString(byte[] b)
    {
        System.Text.ASCIIEncoding encoding = new System.Text.ASCIIEncoding();
        return encoding.GetString(b);
    }
    private byte[] StringtoByte(string str)
    {
        System.Text.ASCIIEncoding encoding = new System.Text.ASCIIEncoding();
        return encoding.GetBytes(str);
    }
}
