Imports System
Imports System.IO
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports System.Collections

Partial Class _Default
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        TextBox2.Text = "Document title"
    End Sub

    Protected Sub Button4_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button4.Click
        Dim conv As New SautinSoft.RtfToHtml.Converter()
        conv.ImageStyle.ImagesFormat = SautinSoft.RtfToHtml.eImageFormat.jpg

        Select Case DropDownList1.Text
            Case "Html 3.2"
                conv.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_32
            Case "Html 4.01"
                conv.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_401
            Case "XHtml 1.0"
                conv.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.XHTML_10
        End Select

        conv.TextStyle.Title = TextBox2.Text

        Select Case DropDownList2.Text
            Case "ISO-8859-1"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_1
            Case "ISO-8859-2"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_2
            Case "ISO-8859-3"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_3
            Case "ISO-8859-4"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_4
            Case "ISO-8859-5"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_5
            Case "ISO-8859-6"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_6
            Case "ISO-8859-7"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_7
            Case "ISO-8859-8"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_8
            Case "ISO-8859-9"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.ISO_8859_9
            Case "KOI8-R"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.KOI8_R
            Case "UTF-8"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.UTF_8
            Case "Windows-1250"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1250
            Case "Windows-1251"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1251
            Case "Windows-1252"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1252
            Case "Windows-1253"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1253
            Case "Windows-1254"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1254
            Case "Windows-1255"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1255
            Case "Windows-1256"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1256
            Case "Windows-1257"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1257
            Case "Windows-1258"
                conv.Encoding = SautinSoft.RtfToHtml.eEncoding.Windows_1258
        End Select

        Select Case DropDownList3.Text
            Case "Visible"
                conv.TableStyle.BorderType = SautinSoft.RtfToHtml.eTableBorderType.Visible
            Case "Hidden"
                conv.TableStyle.BorderType = SautinSoft.RtfToHtml.eTableBorderType.Hidden
            Case "SameAsInRtf"
                conv.TableStyle.BorderType = SautinSoft.RtfToHtml.eTableBorderType.SameAsInRtf
        End Select

        Select Case DropDownList4.Text

            Case "div"
                conv.TagStyle.Tags = SautinSoft.RtfToHtml.eTags.div
            Case "p"
                conv.TagStyle.Tags = SautinSoft.RtfToHtml.eTags.p
        End Select

        Dim RtfBytes As New Object
        'converting strings, convert RTF string to HTML string
        If RtfFile.FileName.Length > 0 Then
            RtfBytes = RtfFile.FileBytes
            Dim RtfString = ByteToString(RtfBytes)
            Dim HtmlString = conv.ConvertString(RtfString)

            If HtmlString.Length > 0 Then

                Response.Buffer = True
                Response.Clear()
                Response.ContentType = "text/html"
                Response.Write(HtmlString)
                Response.Flush()
                Response.End()
            End If
        End If

    End Sub
    Protected Function StringtoByte(ByVal file1 As String)

        Dim encoding As New System.Text.ASCIIEncoding()
        Return encoding.GetBytes(file1)

    End Function
    Protected Function ByteToString(ByVal file1() As Byte)
        Dim encoding As New System.Text.ASCIIEncoding()
        Return encoding.GetString(file1)
    End Function

End Class
